curl -X POST "https://server.smartlead.ai/api/v1/campaigns/123/leads?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"lead_list": [
{
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"company_name": "Acme Corp",
"custom_fields": {
"job_title": "CEO"
}
}
]
}'
{
"success": true,
"message": "Leads added successfully",
"added_count": 1,
"skipped_count": 0,
"skipped_leads": []
}
Add new leads to a campaign with validation and deduplication
curl -X POST "https://server.smartlead.ai/api/v1/campaigns/123/leads?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"lead_list": [
{
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"company_name": "Acme Corp",
"custom_fields": {
"job_title": "CEO"
}
}
]
}'
{
"success": true,
"message": "Leads added successfully",
"added_count": 1,
"skipped_count": 0,
"skipped_leads": []
}
Show Lead Object
Show Settings
curl -X POST "https://server.smartlead.ai/api/v1/campaigns/123/leads?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"lead_list": [
{
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"company_name": "Acme Corp",
"custom_fields": {
"job_title": "CEO"
}
}
]
}'
{
"success": true,
"message": "Leads added successfully",
"added_count": 1,
"skipped_count": 0,
"skipped_leads": []
}